const {
    Telegraf
} = require('telegraf')
const bot = new Telegraf(process.env.BOT_TOKEN)
const {
    UserModel,
    ReportModel
} = global.config

module.exports = async (ctx) => {
    let user = await UserModel.findByPk(ctx.from.id)
    if(user.status != 'admin') return await ctx.reply(`Admin Only.`)
    ctx.args = ctx.update.message.text.split(' ')
    if (!ctx.args[1]) return ctx.reply(`Нужен номер обращения`)
    let report = await ReportModel.findByPk(ctx.args[1])
    if (report === null) return await ctx.reply(`Нет обращения с таким ID.`)
    if (report.status == 0) return await ctx.reply(`Данное обращение уже закрыто.`)
    let answer = ctx.args
    answer.shift()
    answer.shift()
    answer = answer.join(' ')
    await bot.telegram.sendMessage(report.author, `Ответ на обращение #${report.id}[${report.uid}]\n\n` + answer)
    report.status = 0
    report.save()
    return await ctx.reply(`Ответ отправлен, обращение закрыто!`)
}